/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.bonus.dto;

import jp.mosp.common.common.BaseDto;

public class PmStationDto extends BaseDto {
	
	private static final long	serialVersionUID	= 2317373988660444896L;
	
	// フィールド
	private String				stationCode			= "";					// 所属コード
	private String				stationName			= "";					// 所属名
	private String				stationAbbName		= "";					// 事業部
	private String				businessType		= "";					// 業務形態
	private String				calendarType		= "";					// カレンダー区分
	private String				effortType			= "";					// 成果率区分
	private String				belongCode			= "";					// 上位所属コード
	private int					deleteFlag			= 0;					// 削除フラグ
																			
	
	/**
	 * コンストラクタ
	 */
	public PmStationDto() {
		super();
	}
	
	// アクセサメソッド
	public String getStationCode() {
		return stationCode;
	} // 所属コード
	
	public String getStationName() {
		return stationName;
	} // 所属名
	
	public String getStationAbbName() {
		return stationAbbName;
	} // 所属略称
	
	public String getBusinessType() {
		return businessType;
	} // 業務形態
	
	public String getCalendarType() {
		return calendarType;
	} // カレンダー区分
	
	public String getEffortType() {
		return effortType;
	} // 成果率区分
	
	public String getBelongCode() {
		return belongCode;
	} // 上位所属コード
	
	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	} // 所属コード
	
	public void setStationName(String stationName) {
		this.stationName = stationName;
	} // 所属名
	
	public void setStationAbbName(String stationAbbName) {
		this.stationAbbName = stationAbbName;
	} // 事業部
	
	public void setBusinessType(String businessType) {
		this.businessType = businessType;
	} // 業務形態
	
	public void setCalendarType(String calendarType) {
		this.calendarType = calendarType;
	} // カレンダー区分
	
	public void setEffortType(String effortType) {
		this.effortType = effortType;
	} // 成果率区分
	
	public void setBelongCode(String belongCode) {
		this.belongCode = belongCode;
	} // 上位所属コード
	
	public int getDeleteFlag() {
		return deleteFlag;
	}
	
	public void setDeleteFlag(int deleteFlag) {
		this.deleteFlag = deleteFlag;
	}
	
}
